<div>
    <div *ngIf="idstatus === 10">
        <h2>
            <span>Purchase Payment Request</span>
        </h2>
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'PBL'">
            <button class="btn btn-primary float-right" [routerLink]="['/payment-new']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Payment Request
                </span>
            </button>
        </div>
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'PBL'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-uangmuka']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Payment Request Uang Muka
                </span>
            </button>
        </div>
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'MKT' || currentAccount.idInternal === 'FIN'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-mkt']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Payment Request Marketing
                </span>
            </button>
        </div>
        <!-- <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'MKT'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-mkt-non']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Non Payment Request Marketing
                </span>
            </button>
        </div> -->
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'MKT' || currentAccount.idInternal === 'FIN'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-mkt-fix-rebate']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Payment Request Marketing Fix Rebate
                </span>
            </button>
        </div>
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'FIN'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-fin']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Payment Request Finance
                </span>
            </button>
        </div>
        <div class="ui-g-12" *ngIf="currentAccount.idInternal === 'PBL'">
            <button class="btn btn-success float-right" [routerLink]="['/payment-new-pbl']">
                <span class="fa fa-plus"></span>
                <span class="hidden-sm-down">
                    Buat Purchase Payment Request Pembelian
                </span>
            </button>
        </div>
    </div>
    <jhi-alert></jhi-alert>
    <div class="ui-g-12"></div>
    <div class="row">
        <div class="col-sm-12">
            <p-accordion>
                <p-accordionTab header="Filter" [selected]="false">
                    <div class="row">
                        <div class="ui-g-12">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_PIC">Tanggal</label>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true"
                                            yearRange="2000:2999" appendTo="body"></p-calendar>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                            (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                            [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                            (onSelect)="selectSupplier(true)" [dropdown]="true" tabindex=1>
                                        </p-autoComplete>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_type">Jenis</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_type"
                                            [style]="{'width':'100%'}">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="ui-g-4">
                                        <label class="form-control-label" for="field_type">Status</label>
                                    </div>
                                    <div class="ui-g-8">
                                        <p-dropdown [options]="statuses" [(ngModel)]="selectedStatus" id="field_type"
                                            [style]="{'width':'100%'}">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <button pButton type="submit" label="Filter" icon="fa-filter"
                                        class="ui-button-primary flat-label-button" (click)="filter()">
                                    </button>
                                    <button pButton label="Reset Filter" icon="fa-refresh"
                                        class="ui-button-primary flat-label-button" (click)="reset()">
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
        </div>
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="nomor payment request || nomor tanda terima || nama suplier">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-sm-12" *ngIf="currentAccount.idInternal === 'FIN'">
            <button class="btn btn-success float-left" (click)="serahacc()" [disabled]="selected.length === 0">
                <span class="fa fa-cog"></span>
                <span class="hidden-sm-down">
                    Update Serah Accounting
                </span>
            </button>
        </div>
    </div>
    
    <div class="row">
        <div class="col-sm-12" *ngIf="currentAccount.idInternal === 'MKT'">
            <button class="btn btn-success float-left" (click)="serahaccMKT()" [disabled]="selected.length === 0">
                <span class="fa fa-cog"></span>
                <span class="hidden-sm-down">
                    Update Serah Accounting
                </span>
            </button>
        </div>
    </div>
    <br>
    <!-- <div class="row">
    <div class="col-sm-12" *ngIf="idstatus === 50">
        <button class="btn btn-info float-left" (click)="serahfin()" [disabled]="selected.length === 0">
            <span class="fa fa-cog"></span>
            <span class="hidden-sm-down">
                Update Serah Finance
            </span>
        </button>
    </div>
</div> -->
    <br>
    <!-- <div class="row">
    <div class="col-sm-12" *ngIf="idstatus === 51">
        <button class="btn btn-warning float-left" (click)="sudahbayar()" [disabled]="selected.length === 0">
            <span class="fa fa-cog"></span>
            <span class="hidden-sm-down">
                Update Sudah Bayar
            </span>
        </button>
    </div>
</div> -->
    <p-dataTable [value]="payments" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idpay" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple" [(selection)]="selected">
        <p-header>
        </p-header>
        <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Tanda Terima">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.receiptno}}
            </ng-template>
        </p-column>
        <p-column header="Nomor Payment">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nopay}}
            </ng-template>
        </p-column>
        <p-column header="Dibayar Kepada">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.paytoname}}
            </ng-template>
        </p-column>
        <p-column header="Jumlah Bayar">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.totalpay | number:'1.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="Pembuat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.createby}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Buat">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtcreate | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Serah ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima ACC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtregacc | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Serah FIN">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtaccappby | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Terima FIN">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtregfin | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Bayar">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtpay | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Release">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.payform === 'MKT'">
                    {{rowData.dtacc | date:'dd-MM-yyyy'}}
                </div>
                <div *ngIf="rowData.payform !== 'MKT'">
                    {{rowData.dtrelease | date:'dd-MM-yyyy'}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="Tanggal Tempo">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtdue | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tipe">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.payment_type.description}}
            </ng-template>
        </p-column>
        <!-- <p-column header="Jenis Payment" *ngIf="currentAccount.idInternal === 'MKT'">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.is_pv}}
            </ng-template>
        </p-column> -->
        <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.stype}}
                <div *ngIf="rowData.statuses.statustype === 13">
                    <button pButton type="button" icon="fa-eye" class="flat-button" pTooltip="Catatan Cancel Payment"
                        (click)="cekCancelNote(rowData)">
                    </button>
                </div>
            </ng-template>
        </p-column>
        <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="ui-g-12">
                    <div
                        *ngIf="rowData.payment_type.idpaytyp === 2 || rowData.payment_type.idpaytyp === 3 || rowData.payment_type.idpaytyp === 4 || rowData.payment_type.idpaytyp === 5">
                        <button pButton type="button" [routerLink]="['../payment-edit/' + rowData.idpay + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" [routerLink]="['../payment-edit/' + rowData.idpay + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12">
                        </button>
                    </div>
                    <div *ngIf="rowData.payment_type.idpaytyp === 1">
                        <button pButton type="button"
                            [routerLink]="['../payment-edit-uangmuka/' + rowData.idpay + '/true']" icon="fa-eye"
                            class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button"
                            [routerLink]="['../payment-edit-uangmuka/' + rowData.idpay + '/false']" icon="fa-pencil"
                            class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12">
                        </button>
                    </div>
                    <div *ngIf="rowData.payment_type.idpaytyp === 8 && currentAccount.idInternal === 'PBL'">
                        <button pButton type="button"
                            [routerLink]="['../payment-edit-pbl/' + rowData.idpay + '/true']" icon="fa-eye"
                            class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button"
                            [routerLink]="['../payment-edit-pbl/' + rowData.idpay + '/false']" icon="fa-pencil"
                            class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12">
                        </button>
                    </div>
                    <div *ngIf="rowData.payment_type.idpaytyp === 9 && (currentAccount.idInternal === 'MKT' || currentAccount.idInternal === 'FIN')">
                        <button pButton type="button"
                            [routerLink]="['../payment-edit-mkt-fix-rebate/' + rowData.idpay + '/true']" icon="fa-eye"
                            class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button"
                            [routerLink]="['../payment-edit-mkt-fix-rebate/' + rowData.idpay + '/false']" icon="fa-pencil"
                            class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12">
                        </button>
                    </div>
                    <div *ngIf="rowData.payment_type.idpaytyp === 6 && currentAccount.idInternal === 'MKT'">
                        <button pButton type="button" [routerLink]="['../payment-edit-mkt/' + rowData.idpay + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" [hidden]="rowData.is_pv === 'Non Payment'">
                        </button>
                        <button pButton type="button" [routerLink]="['../payment-edit-mkt/' + rowData.idpay + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12" [hidden]="rowData.is_pv === 'Non Payment'">
                        </button>
                        <!-- <button pButton type="button" [routerLink]="['../payment-edit-mkt-non/' + rowData.idpay + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']" [hidden]="rowData.is_pv === 'Payment'">
                        </button>
                        <button pButton type="button" [routerLink]="['../payment-edit-mkt-non/' + rowData.idpay + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12" [hidden]="rowData.is_pv === 'Payment'">
                        </button> -->
                    </div>
                    <div *ngIf="rowData.payment_type.idpaytyp === 7 && currentAccount.idInternal === 'FIN'">
                        <button pButton type="button" [routerLink]="['../payment-edit-fin/' + rowData.idpay + '/true']"
                            icon="fa-eye" class="flat-button" pTooltip="Lihat Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                        </button>
                        <button pButton type="button" [routerLink]="['../payment-edit-fin/' + rowData.idpay + '/false']"
                            icon="fa-pencil" class="flat-button" pTooltip="Edit Payment"
                            *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']"
                            [disabled]="rowData.statuses.statustype !== 10 && rowData.statuses.statustype !== 12">
                        </button>
                    </div>
                    <button pButton type="button" icon="fa-print" class="flat-button" pTooltip="Cetak Payment"
                        (click)="print(rowData)" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                    </button>
                    <div *ngIf="currentAccount.idInternal !== 'FIN'">
                        <button pButton type="button" icon="fa fa-share" class="flat-button" (click)="reqapp(rowData)"
                            pTooltip="Request Approve"
                            [disabled]="rowData.statuses.statustype != 10 && rowData.statuses.statustype != 12">
                        </button>
                        <button pButton type="button" icon="fa fa-fast-forward" class="flat-button"
                            (click)="bypasFIN(rowData)" pTooltip="By Pass Finance"
                            [disabled]="rowData.statuses.statustype != 10 && rowData.statuses.statustype != 12">
                        </button>
                    </div>
                    <div *ngIf="rowData.ishold != 1">
                        <button pButton type="button" icon="fa fa-lock" class="flat-button" (click)="holdPay(rowData)"
                            pTooltip="Hold Payment">
                        </button>
                    </div>
                    <div *ngIf="rowData.ishold == 1 && currentAccount.login == rowData.userhold">
                        <button pButton type="button" icon="fa fa-unlock" class="flat-button"
                            (click)="unHoldPay(rowData)" pTooltip="unHold Payment">
                        </button>
                    </div>
                    <div *ngIf="rowData.ishold == 1">
                        <button pButton type="button" icon="fa fa-bookmark" class="flat-button"
                            (click)="showHoldPay(rowData)" pTooltip="Catatan unHold Payment">
                        </button>
                    </div>
                    <button pButton type="button" icon="fa fa-ban" class="flat-button" (click)="cancelPay(rowData)"
                        pTooltip="Cancel Payment">
                    </button>
                </div>
                <div *ngIf="currentAccount.idInternal === 'FIN'">
                    <div *ngIf="rowData.ishold != 1 ">
                        <button pButton type="button" icon="fa fa-check-square-o" class="flat-button" pTooltip="Bayar"
                            [routerLink]="['../payment-fin-bayar/' + rowData.idpay + '/true']"
                            [disabled]="rowData.statustype == 56">
                        </button>
                    </div>
                </div>
                <div *ngIf="currentAccount.idInternal === 'FIN'">
                    <div *ngIf="rowData.statuses.statustype != 12 && rowData.statuses.statustype != 53 && rowData.statuses.statustype != 13 ">
                        <button pButton type="button" icon="fa fa-times" class="flat-button" pTooltip="Revert Payment"
                            (click)="reversePayment(rowData)">
                        </button>
                    </div>
                </div>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<p-dialog header="Catatan" [(visible)]="newModalNote" modal="true" [width]="700">
    <form name="notesForm" role="form" novalidate (ngSubmit)="modalholdPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="notes2" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="notehold">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Catatan" [(visible)]="newModalCancelNote" modal="true" [width]="700">
    <form name="cancelNotesForm" role="form" novalidate (ngSubmit)="modalCacelPay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="cancelNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="cancelNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<p-dialog header="Catatan" [(visible)]="newModalReverseNote" modal="true" [width]="700">
    <form name="reverseNotesForm" role="form" novalidate (ngSubmit)="modalReversePay()" #editForm="ngForm">
        <div class="card-deck" style="margin: 25px;">
            <jhi-alert-error></jhi-alert-error>
            <textarea pInputTextarea class="form-control" id="field_notes2" name="ReverseNote" [rows]="5" [cols]="30"
                autoResize="autoResize" [(ngModel)]="ReverseNote">
        </textarea>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<!-- <p-confirmDialog></p-confirmDialog> -->